﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EntityFrameworkTest
{
    class Program
    {
        static void Main(string[] args)
        {
            //コンテキストを生成する
            BooksEntities entities = new BooksEntities();

            //Usersテーブルのデータを取得する
            var data = from users in entities.Users
                       select users;

            //一覧を表示する
            Console.WriteLine("次の一覧から削除したいデータのIDを選んでください。");
            foreach (var line in data)
            {
                Console.WriteLine("ID:{0}　氏名:{1}", line.Id, line.Name);
            }

            //削除するデータを入力する
            Console.Write("ID：");
            int id = Int32.Parse(Console.ReadLine());

            //選択したIDのデータを削除する
            var deletedata = entities.Users.Single(x => x.Id == id);
            entities.Users.Remove(deletedata);
            
            //データベースに反映させる
            entities.SaveChanges();
            Console.WriteLine("削除しました。");
            Console.ReadLine();
        }
    }
}
